We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 4984 - Manual payment notification sent after Paypal payment
Manual payment notification sent after Paypal payment
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
2.1.3
All Linux
: P1 normal
Assigned To: Michael Felczak
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-31 16:50 PST by Michael Felczak
Modified: 2010-03-29 10:28 PDT (History)
1 user (show)

See Also:
Version Reported In: 2.1.2
Also Affects:


Attachments
Patch against OCS pre-2.1.3 CVS (13.20 KB, patch)
2010-01-25 17:30 PST, Michael Felczak
Details | Diff
Patch against OCS pre-2.1.3 CVS (13.85 KB, patch)
2010-01-25 17:43 PST, Michael Felczak
Details | Diff
Email Templates Data Manual Fix (XML) (2.66 KB, application/xml)
2010-01-25 18:07 PST, Michael Felczak
Details
Email Templates Data Manual Fix (SQL) (2.13 KB, text/plain)
2010-01-25 18:11 PST, Michael Felczak
Details
Patch against OCS 2.1.2 (3.73 KB, patch)
2010-01-26 08:50 PST, Michael Felczak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Felczak 2009-12-31 16:50:00 PST
Also recipient is not registrant.

See plugins/paymethod/paypa/PayPalPlugin.inc.php at around line 230
Comment 1 Michael Felczak 2010-01-25 17:30:30 PST
Created attachment 2923 [details]
Patch against OCS pre-2.1.3 CVS
Comment 2 Michael Felczak 2010-01-25 17:43:56 PST
Created attachment 2925 [details]
Patch against OCS pre-2.1.3 CVS

Includes upgrade additions.
Comment 3 Michael Felczak 2010-01-25 18:07:35 PST
Created attachment 2926 [details]
Email Templates Data Manual Fix (XML)

For manual fixes of OCS 2.1.2

This file can be used with the OCS dbXMLtoSQL.php command-line tool to update the database for existing installations (prior to the release of OCS 2.1.3), i.e.

php tools/dbXMLtoSQL.php -data execute email_templates_data_bug_4984.xml
Comment 4 Michael Felczak 2010-01-25 18:11:47 PST
Created attachment 2927 [details]
Email Templates Data Manual Fix (SQL)

For manual fixes of OCS 2.1.2 (alternative to XML method above)

This file includes MySQL which can be used to manually update the database for existing installations (prior to the release of OCS 2.1.3)
Comment 5 Michael Felczak 2010-01-26 08:50:55 PST
Created attachment 2929 [details]
Patch against OCS 2.1.2
Comment 6 Michael Felczak 2010-01-26 08:54:02 PST
If manually fixing an existing OCS 2.1.2 install, please use the above patch and either the XML *or* SQL email templates data fix to update the db.
Comment 7 Michael Felczak 2010-03-29 10:28:36 PDT
Fixed.